<?php
// Version: 1.0.5; TPhelp

// Navigation
// Rev 89
$txt['tphelp_introduction']= 'Introduction';
$txt['tphelp_articles']= 'Articles';
$txt['tphelp_frontpage']= 'Frontpage';
$txt['tphelp_panels']= 'Panels';
$txt['tphelp_blocks']= 'Blocks';
$txt['tphelp_modules']= 'Modules';
$txt['tphelp_plugins']= 'Plugins';

// Page Information... //
// Rev 89
$txt['tphelp_introduction_main']= '
<h2 style="padding-bottom: 1ex; border-bottom: solid 1px;">&nbsp; Introduction To TinyPortal</h2>
<p>
<a href="http://tinyportal.net" target="_blank">TinyPortal</a> (TP) is a magnificent modification of <a href=http://simplemachines.org" target="_blank">Simple Machines Forum</a> (SMF). It will turn your simple SMF forum into a fully operational portal. It will expand your SMF forum with Frontpage options, Articles, Panels filled with Blocks, and Plugins, with an on-going list of Module add-ons to choose from.</p>

<p>Developed to work seamlessly with SMF, it uses many of its internal functions and is therefore more secure. There is no need for 2 admin interfaces, memberbases, or themes to manage as with other portals. Tiny Portal will operate on a single software system. The best way to put it: "TinyPortal" is an extension of the "Simple Machines Forum", not 2 different integrated softwares.</p>

<p>TinyPortal enables you to setup HTML/Javascript, PHP, or BBC articles and blocks. Expanded permissions give you all the admin/user options you could ask for. Adding content to your site has never been easier, and it will have your site carrying that professional appeal.</p>

<p>Best of all, it\'s FREE!</p><br />

<div class="windowbg3" style="margin-top: 1em; padding: 2ex;"><b>TinyPortal Features Include</b>:</div><br />

<p>- <b>Articles</b>: are HTML, PHP, BBC, imported or external pages with optional author information and visual options to show alone, with panels & blocks, and/or with other articles. All articles can be categorized, or have comments and ratings.</p>
<p>- <b>Frontpage</b>: is the first page or index page of your TP & SMF site. TP gives you ability to dress up your frontpage any way you see fit using forum posts, articles, panels & blocks, and even modules. If you\'re not interested in all that, you can choose for your frontpage to go directly to your forum index. </p>
<p>- <b>Panels</b>: are several sections or containers that hold all of your blocks. There is the top panel, upper panel, frontpanel, lower panel, bottom panel, left panel, and right panel. These panels help control the layout of your TP & SMF driven forum.</p>
<p>- <b>Blocks</b>: these are small boxes of information or functions in HTML, PHP, or BBC. They can be placed in any order, in any panel and section/action of the TP & SMF driven site.</p>
<p>- <b>Modules</b>: are enhancements to TinyPortal written by various developers that add new abilities to the overall functions of the site. Examples of a module would be: File Manager, Gallery Manager, and Chat.</p>
<p>- <b>Plugins</b>: are modifications to existing TinyPortal features or modules that extend its abilities. For example, if someone made a modification to add a WYSIWYG editor that can be used in articles or blocks.</p>

<div class="windowbg3" style="margin-top: 1em; padding: 2ex;">For more information, please visit our <a href="http://docs.tinyportal.net/index.php?board=8.0" target="_blank"><b>Documentation</b></a>.</div>';

$txt['tphelp_articles_main']= '
<h2 style="padding-bottom: 1ex; border-bottom: solid 1px;">&nbsp; Articles</h2>

<b>Admin</b>:
<p>You can enter your "<span style="color: #ff0000;">Articles > Articles & Categories</span>" section and create unlimited categories & subcategories for all of your articles. For each category you create, you can choose your sorting options, which membergroups have access to that category, the article layout, and how many articles to display per page just to name a few.</p><p> After that, take a look at your "<span style="color: #ff0000;">Articles > Settings</span>" page and decide if you want to use visual verification for your articles, show a category icon, or even hide the quick edit link under each article.</p><p>If you keep browsing, you will also find a "<span style="color: #ff0000;">Articles > Submission</span>" page. Here you will find options to select which membergroups can submit an article. Once your users begin writing articles, their submission will appear on this page for approval before it can actually be viewed by other users.</p> 

<p>The types of articles are HTML, PHP, BBC, Imported, or External pages that can be added to your site. Every article carries with it the options to display views, blocks, date, author, avatar, and or linktree. It even have additional options such as what theme it should be viewed in, no theme at all, ratings, and/or user comments.</p>

<p>Unlike forum topics, articles can be whole pages of information, stories, or even scripts to suit your needs. You can decide which panels & blocks you want to show with it, and even show links to other article categories or articles. With this kind of flexibility, you can set up a professional looking site in no time...</p>

<b>User</b>:
<p>All users can submit articles if the admin has given permission for the user to do so. Permissions are given on a membergroup basis.</p>
Assuming you have permissions to write articles you\'ll often find the links to do so within the userbox block. If the site you are using does not have a userbox, you can always find a list of all your written articles within your "<span style="color: #ff0000;">Profile > TinyPortal > Articles</span>". From here you can submit new articles or even edit your already existing articles. 

<p>When submitting an article, you must fill in the title & body to suit your needs. Afterwards, the article submitted needs approval by the admin or the admin\'s article moderation team before it can be viewed by the public, unless otherwise set by the admin. All visual options such as panel use, the theme it is displayed in, and other statistics are controlled by the admin or his/her team. All currently non-active articles will give an error when viewed, and are also marked in italic style. Articles not yet approved yet are likewise marked with surrounding parentheses around the title within the subject area...</p>

<p>Through the use of plugins, other article options may be added. You will find any of the changes/settings located in your "<span style="color: #ff0000;">Profile > TinyPortal > Articles > Settings</span>".</p>

<div class="windowbg3" style="margin-top: 1em; padding: 2ex;">This is a summary. For FAQ, please browse our <a href="http://docs.tinyportal.net/index.php?board=9.0" target="_blank"><b>Article Documentation</b></a>.</div>
';

$txt['tphelp_frontpage_main']= '
<h2 style="padding-bottom: 1ex; border-bottom: solid 1px;">&nbsp; Front page</h2>
<b>Admin</b>:
<p>You have almost an complete control of what you want on your front page. You can pick from showing articles, panels, blocks, forum posts, single article, or even a featured article. Or better yet, a mix of these options mentioned. Heck, if you don\'t want to dress up your frontpage, you could even choose to go straight to the forum index. How cool is that?</p>

<p>If you wish to show articles or forum posts on your front page, you can select what kind of layout you want for articles, or what boards to show forum posts from. You can even choose how many articles and forum posts you want to appear on your frontpage...</p>

<p>To see these options, go to: "<span style="color: #ff0000;">Admin > TinyPortal > Panels & Blocks > Panel + Settings</span>".</p>

<b>User</b>:
<p>When it comes to the frontpage, the user just doesn\'t have any direct options. However the user does has some indirect options available in the panels and blocks...</p> 
<p>Assuming the admin has given you or your membergroup permission to do so, a block or panel can be collapsed and ignored. This is an On-The-Fly setting often located within the header/title of the block(for blocks) or below the copyright(for panels), controlled by a little image/icon.</p>

<div class="windowbg3" style="margin-top: 1em; padding: 2ex;">This is a summary. For FAQ, please browse our <a href="http://docs.tinyportal.net/index.php?board=22.0" target="_blank"><b>Frontpage Documentation</b></a>.</div>
';



$txt['tphelp_panels_main']= '
<h2 style="padding-bottom: 1ex; border-bottom: solid 1px;">&nbsp; Panels</h2>
<b>Admin</b>:
<p>You can control how much padding you want between your panels, and/or decide which sections/actions you want to hide all your panels in. This is done by going to: "<span style="color: #ff0000;">Admin > TinyPortal > Panels & Blocks > Panel + Settings</span>". Panels do have additional settings like setting the width, hide while in forum, and various layouts for your blocks inside. For these additional panel settings, go to: "<span style="color: #ff0000;">Admin > TinyPortal > Panels & Blocks > (area) + Panel</span>". </p>

<b>User</b>:
<p>Assuming the admin has given you or your membergroup permission to do so, each panel can be collapsed and ignored. This is an On-The-Fly setting on the frontpage of the site, often controlled by little images/icons located below the copyright...</p>

<div class="windowbg3" style="margin-top: 1em; padding: 2ex;">This is a summary. For FAQ, please browse our <a href="http://docs.tinyportal.net/index.php?board=28.0" target="_blank"><b>Panel Documentation</b></a>.</div>
';

$txt['tphelp_blocks_main']= '
<h2 style="padding-bottom: 1ex; border-bottom: solid 1px;">&nbsp; Blocks</h2>
<b>Admin</b>:
<p>Blocks are your boxes of code that add more information, entertainment, and excitement to your site. They can be either internal or external blocks. Internal blocks are placed inside panels, while external blocks can be placed dynamically inside an article or frontpage.</p>

<p>There are several types of blocks, RSS feeds, Stats, News, PHP are some of the many different types just to name a few. Each block created can be placed in a chosen selected panel, and numerically ordered. So you get to chose which order blocks load in within each panel. To create or manage your blocks to go: "<span style="color: #ff0000;">Admin > TinyPortal > Panels & Blocks > (area) + Blocks</span>". You can even specify which membergroups can moderate/edit each block and decide which sections/actions of the site you wish the block to be viewed in. This gives you complete control over your blocks...</p>

<b>User</b>:
<p>Assuming the admin has given you or your membergroup permission to do so, a block can be collapsed and ingored. This is an On-The-Fly setting often located within the header/title of the block, controlled by a little image/icon...</p>

<p>NOTE: Some members or membergroups can moderate/edit a block, if the admin has given permission to do so. To edit a block, simply click an image/icon which is often located in the header/title of the block.</p>

<div class="windowbg3" style="margin-top: 1em; padding: 2ex;">This is a summary. For FAQ, please browse our <a href="http://docs.tinyportal.net/index.php?board=31.0" target="_blank"><b>Block Documentation</b></a>.
</div>

<div class="windowbg3" style="margin-top: 1em; padding: 2ex;">For code snippets by the TP community, please browse our <a href="http://www.tinyportal.net/smf/index.php?board=46.0"><b>Code Snippets</b></a>.</div>';

$txt['tphelp_modules_main']= '<h2 style="padding-bottom: 1ex; border-bottom: solid 1px;">&nbsp; Modules</h2>

<b>Admin</b>:
<p>Modules add more functionality to your TP/SMF site by adding new features like a file manager, shoutbox, or menu manager. Each serves its own purpose, and expands your site to a whole new realm. You can access your module list by going to: "<span style="color: #ff0000;">Admin > TinyPortal > Modules</span>". Here you can view your module name, description, and options to activate or disable.</p>

<p>If you wish to add more modules, you can upload them at: <span style="color: #ff0000;">Admin > TinyPortal > Modules > Uploaded Modules</span>". As you can see, TinyPortal carries its own package manager for modules, and this wil help add greater protection to your SMF powered forum. You will also notice here the option to install a module, remove a module, and its statistics such as: version, version compatible with, author, etc etc...</p>

<p>Every module installed has its own options functionality, a user link will need to be added to your site theme navigation or menutabs. Admin access can always be found at "<span style="color: #ff0000;">Admin > TinyPortal</span>".<p>

<p>NOTE: TinyPortal is not responsible for keeping any module updated or upgraded. That is the sole responsibility of its developer.</p>

<b>User</b>:
<p>User options & use depends on the module and its various abilities. While some modules may add new features to the site and for the admin, may not always add something extra for the user.</p>

<div class="windowbg3" style="margin-top: 1em; padding: 2ex;">This is a summary. For FAQ, please browse our <a href="http://docs.tinyportal.net/index.php?board=35.0" target="_blank"><b>Module Documentation</b></a>.
</div>

<div class="windowbg3" style="margin-top: 1em; padding: 2ex;">For modules by the TP community, please browse our <a href="http://www.tinyportal.net/index.php?board=130.0"><b>Module Board</b></a>.</div>
';

$txt['tphelp_plugins_main']= '
<h2 style="padding-bottom: 1ex; border-bottom: solid 1px;">&nbsp; Plugins</h2>
<b>Admin</b>:
<p>Coming soon...</p>

<p>NOTE: TinyPortal is not responsible for keeping any plugin updated or upgraded. That is the sole responsibility of its developer. It\'s is also the developer\'s responsibility to receive permission from a modules author before adding any new functionality/options to that module.</p>

<b>User</b>:
<p>User options & use depends on the plugin and its various abilities. While some plugins may add enhancements or additional options to existing features or modules for the admin, may not alway add something extra for the user.</p>

<div class="windowbg3" style="margin-top: 1em; padding: 2ex;">For more information, please visit our <a href="http://docs.tinyportal.net/smf/index.php?board=85.0" target="_blank"><b>Documentation</b></a>.
</div>
';

?>